Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158715 - Numeric Character for Punjabi Locale AM|PM
Summary: Numeric Character for Punjabi Locale AM|PM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 164813
TreeView+ depends on / blocked
 
Reported: 2005-05-25 03:23 UTC by A S Alam
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.3.90-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-15 10:09:12 UTC


Attachments (Terms of Use)
screenshot for Problem (deleted)
2005-05-25 03:23 UTC, A S Alam
no flags Details

Description A S Alam 2005-05-25 03:23:27 UTC
Description of problem:
for Punjabi locale in Time (AM|PM) on desktop, Punjabi locale has a Numeric
character (5) instead of proper Punjabi Character.

Version-Release number of selected component (if applicable):


How reproducible:
everytime,

Steps to Reproduce:
1.Login into Punjabi Locale
2. check Time in panel in 12 hour format
3.
  
Actual results:
string is like "ਸ5à©à¨°à©"

Expected results:
It should be "ਸਵà©à¨°à©"


Additional info:
1)refer to bug 622
http://sources.redhat.com/bugzilla/show_bug.cgi?id=622
there is patch on 27Dec04, which was wrongly applied
2) <U035> should be replaced with <UA035>, but did with <U0035>

Comment 1 A S Alam 2005-05-25 03:23:27 UTC
Created attachment 114812 [details]
screenshot for Problem

Comment 2 Jakub Jelinek 2005-05-27 14:06:12 UTC
What about the last character?  Shall it be <U0A2E> (ma) or <U002E> (dot)?

Comment 3 A S Alam 2005-05-28 04:16:42 UTC
It should be <UA035> (va)!

Comment 4 Jakub Jelinek 2005-05-28 08:14:36 UTC
<UA035>     /xea/x80/xb5 YI SYLLABLE BYP
so I guess you mean
<U0A35>     /xe0/xa8/xb5 GURMUKHI LETTER VA


Comment 5 A S Alam 2005-05-28 13:00:27 UTC
sorry, (<U0A35>     /xe0/xa8/xb5 GURMUKHI LETTER VA) is correct one!

Comment 6 Jakub Jelinek 2005-06-11 13:08:33 UTC
The patch has been committed upstream:
http://sources.redhat.com/ml/glibc-cvs/2005-q2/msg00367.html


Comment 7 A S Alam 2005-06-12 06:52:38 UTC
thanks Jakub:)

Comment 10 Jakub Jelinek 2005-07-15 10:09:12 UTC
The fixes will eventually make into FC3 and FC4 (probably FC3 sooner), but there
is no point to keep this bug open.  glibc-2.3.90-2 in rawhide certainly has that
in.


Note You need to log in before you can comment on or make changes to this bug.